Page MenuHomePhabricator

Tool to upload Google photos to Wikimedia commons
Closed, ResolvedPublic

Description

Value proposition:

  • Pick files from google photos and upload to commons.
  • Set categories/etc and directly upload.

Hackathon project at Wikimedia-Hackathon-2019. People involved: @srishakatux @zhuyifei1999 @01tonythomas

Feel free to join in.

Will show up at https://tools.wmflabs.org/google-drive-photos-to-commons/ soon.
Repo at: https://github.com/tonythomas01/gdrive_to_commons

People who want maintainer access to the labs account, please comment.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2019, 10:27 AM
Trizek-WMF added a subscriber: Trizek-WMF.

Great feature! Worth to inform communities about it, since it can help anyone using Google services and uploading files to Commons. When ready, please move it to "Announce in next Tech News" on the User-notice board.

MusikAnimal added a subscriber: MusikAnimal.
01tonythomas updated the task description. (Show Details)May 19 2019, 2:14 PM

Update: We actually miss a critical functionality as of today to add license to uploaded files. Hopefully, we plan to get it done with the Google Code In session going on.

Well, I think I will close this as Resolved now, as we have the MVP up and running. Further tasks should remain on the project Google-Drive-to-Commons workboard.

01tonythomas closed this task as Resolved.May 10 2020, 10:31 AM
01tonythomas claimed this task.